# Copyright (c) 2016 Dave Love, Liverpool University
# MIT licence, per Fedora policy.

# Fixme: mpich version

%global ver1 4.1
%global ver2 20131025
%global ver %ver1-%ver2

Name:		form
Version:	4.2.1
Release:	1%{?dist}
Summary:	Symbolic manipulation of very big expressions
License:	GPLv3+
URL:		https://www.nikhef.nl/~form/
Source0:	https://github.com/vermaseren/form/releases/download/v%version/form-%version.tar.gz
Source1:	https://www.nikhef.nl/~form/maindir/others/minos/minosdir.tar.gz
# Don't try to link minos statically
Patch1:		form-minos.patch
BuildRequires:	gmp-devel >= 4.2, zlib-devel, automake, openmpi-devel
BuildRequires:	doxygen tetex-tex4ht
# in texlive-latex-bin-bin in epel7, but texlive-latex in el6
BuildRequires:	tex(latex)

%description

FORM is a Symbolic Manipulation System.  It reads symbolic expressions
from files and executes symbolic/algebraic transformations upon them.
The answers are returned in a textual mathematical representation.  As
its landmark feature, the size of the considered expressions in FORM
is only limited by the available disk space and not by the available
RAM.

The minos database facility is also included.


%package doc
Summary: Documentation for %name
BuildArch: noarch

%description doc
Documentation for %name

%package openmpi
Summary: Symbolic manipulation of very big expressions - openmpi

%description openmpi
FORM is a Symbolic Manipulation System.  It reads symbolic expressions
from files and executes symbolic/algebraic transformations upon them.
The answers are returned in a textual mathematical representation.  As
its landmark feature, the size of the considered expressions in FORM
is only limited by the available disk space and not by the available
RAM.

This is the openmpi version.


%prep
%setup -q
autoreconf -i
tar fx %SOURCE1
%patch1 -p1


%build
%_openmpi_load
%configure --enable-parform
make %{?_smp_mflags}
make -C doc/manual pdf html
make -C doc/doxygen html
make -C minosdir


%install
make install DESTDIR=%buildroot
mv doc/doxygen/html doxygen-html
mv doc/manual/html manual-html
%_openmpi_load
mkdir -p %buildroot$MPI_BIN
mv %buildroot%_bindir/parform %buildroot$MPI_BIN/parform$MPI_SUFFIX
cp -p minosdir/minos %buildroot%_bindir


%check
make check


%{!?_licensedir:%global license %doc}
%files
%license COPYING
%doc README.md AUTHORS minosdir/minos.pdf
%_bindir/*
%_mandir/man1/*

%files doc
%license COPYING
%doc doxygen-html doc/manual/manual.pdf manual-html
%doc README.md AUTHORS

%files openmpi
%license COPYING
%_libdir/openmpi/bin/*


%changelog
* Sat Feb 27 2016 Dave Love <loveshack@fedoraproject.org> - 4.1.20131025-2
- Add minos

* Fri Feb 12 2016 Dave Love <loveshack@fedoraproject.org> - 4.1.20131025-1
- Initial packaging
